/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * BoxVectorValidator.cpp
 *
 *  Created on: May 10, 2012
 *      Author: ankele
 */



// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "BoxVectorValidator.hpp"

#include "LinearAlgebra/RealSpaceMatrix.hpp"

#include "Box.hpp"
#include "World.hpp"

bool BoxVectorValidator::isValid(const Vector & _value) const
{
  return World::getInstance().getDomain().isInside(_value);
}

bool BoxVectorValidator::operator==(const Validator<Vector> &_instance) const
{
  const BoxVectorValidator *inst =
      dynamic_cast<const BoxVectorValidator *>(&_instance);
  if (inst)
    return true;
  else
    return false;
}

Validator< Vector >* BoxVectorValidator::clone() const
{
  Validator< Vector > *inst =
      new BoxVectorValidator();
  return inst;
}
